* locs for VCX super-classes

#DEFINE OUTPUTCLASS_APPNAME_LOC						"VFP Berichtsausgabeklasse"

#DEFINE OUTPUTCLASS_CONFIGTABLECREATED_LOC			"Konfigurationsdatei "+ m.lcDBF + " wurde angelegt."
#DEFINE OUTPUTCLASS_CONFIGTABLEWRONG_LOC			"Konfigurationsdatei im falschen Format."

* this is different from XML because in the XML class they
* are used in SEEK() and require specific tagnames, whereas
* the superclasses just require certain indexes for optimizing LOCATES,

#DEFINE OUTPUTCLASS_CONFIGINDEXMISSING_LOC			"In der Konfigurationsdatei fehlen "+ CHR(13) + ;
													"einer oder mehrere bentigte Indizes."

#DEFINE OUTPUTCLASS_INITSTATUS_LOC					"Initialisierung... "
#DEFINE OUTPUTCLASS_PREPSTATUS_LOC					"Kalkulationsvorbereitungslauf... "
#DEFINE OUTPUTCLASS_RUNSTATUS_LOC					"Erzeugung der Ausgabe... "
#DEFINE OUTPUTCLASS_TIME_SECONDS_LOC				SPACE(1) + "Sek(s)"
#DEFINE OUTPUTCLASS_CANCEL_INSTRUCTIONS_LOC			"Beenden mit Esc... "
#DEFINE OUTPUTCLASS_REPORT_CANCELQUERY_LOC			"Berichtsausgabe abbrechen?"+CHR(13) + ;
													"(Mit 'Nein' wird die Berichtsausgabe fortgesetzt.)"
#DEFINE OUTPUTCLASS_REPORT_INCOMPLETE_LOC			"Berichtsausgabe wurde abgebrochen." + CHR(13) + ;
													"Ihre Ergebnisse sind unvollstndig."

#DEFINE OUTPUTCLASS_SUCCESS_LOC						THIS.AppName+" erstellte Ihren Bericht als"+;
													CHR(13)+THIS.TargetFileName+"." + CHR(13) + ;
													IIF(THIS.AllowModalMessages,;
													"Mit 'Ja' wird der Dateiname in das Clipboard kopiert.","")

#DEFINE OUTPUTCLASS_NOFILECREATE_LOC				"Datei " + THIS.TargetFileName+" konnte nicht angelegt werden."

#DEFINE OUTPUTCLASS_CREATEERRORS_LOC				THIS.AppName+" erstellte Ihren Bericht als"+ ;
													CHR(13)+THIS.TargetFileName+". "+CHR(13)+ ;
													"Achtung: Bei der Verarbeitung trat ein Fehler auf!" + CHR(13) + ;
													OUTPUTCLASS_REPORT_INCOMPLETE_LOC

#DEFINE OUTPUTCLASS_NOCREATE_LOC					THIS.AppName +" konnte Ihren Bericht nicht erstellen."

#DEFINE OUTPUTCLASS_ERRNOLABEL_LOC					"Fehler:           "
#DEFINE OUTPUTCLASS_ERRPROCLABEL_LOC				"Methode:       "
#DEFINE OUTPUTCLASS_ERRLINELABEL_LOC				"Zeile:            "

#DEFINE OUTPUTCLASS_PAGELIMIT_LOC					"Ihr Bericht hat ein festgelegtes Seitenlimit berschritten (" + ;
													TRANSFORM(THIS.PageLimit) + "). " + CHR(13) + ;
													OUTPUTCLASS_REPORT_INCOMPLETE_LOC

* the following loc is eval'd for updateListener's actual progress bar message.
* In most cases,
* changing this value is overkill, as the localizable portions of
* the message are already localized as separate properties.
* All the status messagse as well as the therm caption can
* also be set at runtime without touching the locs.

* Sedna change: remove INT() from PercentDone, remove * 100, and use ThermPrecision:
#DEFINE OUTPUTCLASS_THERMCAPTION_LOC				[m.cMessage+ " "+ ] + [TRANSFORM(THIS.PercentDone,"999"+ ] + ;
													[IIF(THIS.ThermPrecision=0,"","."+REPL("9",THIS.ThermPrecision))) + "%" ] + ;
													[+ IIF(NOT THIS.IncludeSeconds, "" , " "+] + ;
													[TRANSFORM(IIF(THIS.IsRunning,DATETIME(), THIS.ReportStopRunDateTime)-] + ;
													[THIS.ReportStartRunDateTime)+" " + THIS.SecondsText)]

* locs for XML Listener class:

#DEFINE OUTPUTXML_APPNAME_LOC						"XML Listener"

#DEFINE OUTPUTXML_CONFIGTAGMISSING_LOC				"Mindestens ein notwendiger Index fehlt "+ CHR(13) + ;
													"in der Konfigurationstabelle."

#DEFINE OUTPUTXML_FRXMISSING_LOC					"Bentigter FRX Cursor nicht verfgbar."

#DEFINE OUTPUTXML_FRXCURSOR_MISSING_LOC				"FRX cursor helper object fehlt in der Klassenbibliothek " + CHR(13)+ ;
													"_FRXCURSOR.VCX, "+CHR(13)+ ;
													"_REPORTOUTPUT." + CHR(13) + CHR(13)+ ;
													"Einige Funktionen stehen deshalb nicht zur Verfgung."

* locs for XML Display Listener Class:

#DEFINE OUTPUTXMLDISPLAY_APPNAME_LOC				"XML Display Listener"

* locs for HTML:

#DEFINE OUTPUTHTML_APPNAME_LOC						"HTML Listener"

*&* Sedna

* locs for UtilityReportListener (File-based options)
#DEFINE OUTPUTFILE_APPNAME_LOC						"FileOutput Listener"
#DEFINE OUTPUTFILE_NOIMAGEFILES_LOC					"You have asked for page image files to be generated, " + CHR(13) + ;
													"but this report run is not in a mode that currently supports " + CHR(13) + ;
													"this feature." + CHR(13) + CHR(13) + ;
													"Your main output file will be generated without them."

* Sedna loc for HTML Listener

#DEFINE OUTPUTHTML_NOIMAGEFILES_LOC					"Your report contains one or more layout elements " + CHR(13) + ;
													"designated as links to page images, " + CHR(13) +;
													"but this report run is not in a mode that " + CHR(13) + ;
													"currently supports this feature." + CHR(13) + CHR(13) + ;
													"Your main output file will be generated without them."

* locs for FXListener

#DEFINE OUTPUTFX_APPNAME_LOC						"FX-Update Listener"

#DEFINE OUTPUTFX_USERFEEDBACK_UNAVAILABLE_LOC		"Class to display feedback during " + CHR(13)  + ;
													"report generation process is not available." + CHR(13) + CHR(13) + ;
													"Report run will continue silently."

#DEFINE OUTPUTFX_SCRIPTING_UNAVAILABLE_LOC			"Class to handle scripting during " + CHR(13)  + ;
													"report generation process is not available." + CHR(13) + CHR(13) + ;
													"Report run may not provide expected dynamic behavior."

#DEFINE OUTPUTFX_ROTATION_UNAVAILABLE_LOC			"Class to handle rotation during " + CHR(13)  + ;
													"report generation process is not available." + CHR(13) + CHR(13) + ;
													"Report layout controls will not rotate."

#DEFINE OUTPUTFX_CONDITIONALRENDERING_UNAVAILABLE_LOC	"Class or behavior to handle conditional rendering during " + CHR(13)  + ;
														"report generation process is not available during this run." + CHR(13) + CHR(13) + ;
														"Some report layout controls may appear unexpectedly in the output."

#DEFINE OUTPUTFX_REQUIREDOBJECT_UNAVAILABLE_LOC		"A required helper object is not available." + CHR(13)  + ;
													"Class: " + tcClass + " Library: " + tcClassLib + CHR(13) + CHR(13) + ;
													"This report run may be missing some features," + CHR(13) + ;
													"or it may not conclude successfully."

#DEFINE OUTPUTFX_REQUIREDOBJECTDEF_MISSING_LOC		"A required helper object is not defined." + CHR(13)  + CHR(13) + ;
													"This report run may be missing some features," + CHR(13) + ;
													"or it may not conclude successfully."

* locs for FX and GFX objects

