*----------------------------------------------------------------------------------------------------------------------------
* Beschreibung: PROCEDURE zum Schlieen der Kunden-Verwaltung.
* Autor.......: Hans-Peter Grzinger
* Datum.......: 21.10.2020
*----------------------------------------------------------------------------------------------------------------------------
* Bemerkungen.:
*----------------------------------------------------------------------------------------------------------------------------
* nderungen..:
*----------------------------------------------------------------------------------------------------------------------------
* BugFixes....:
*----------------------------------------------------------------------------------------------------------------------------

LPARAMETERS tlAutoQuit AS BOOLEAN

LOCAL loForm AS FORM

*-- Nochmals die Prozedure setzen
SET PROCEDURE TO COMMON ADDITIVE

*-- Position des Hauptfensters sichern
TRY
	SaveScreenPosition()
CATCH
ENDTRY

*-- In der IDE
IF VERSION( 2 ) > 0
	ON SHUTDOWN
	SET SYSMENU TO DEFAULT
	CANCEL

*-- In der EXE
ELSE

	*-- Wenn nicht nachzufragen ist
	IF tlAutoQuit
		ON ERROR
		ON SHUTDOWN
		KEYBOARD '{CTRL+F4}' + '{PAUSE 2}'
		KEYBOARD '{CTRL+F4}' + '{PAUSE 2}'
		KEYBOARD '{CTRL+F4}' + '{PAUSE 2}'
		CLOSE ALL
		Sleep( 1000 )
		ExitProcess( 9000 )
		QUIT

	*-- Andernfalls nachfragen
	ELSE
		IF Ask( 'Mchten sie die Kundenverwaltung verlassen?' )
			ON SHUTDOWN
			FOR EACH loForm IN _SCREEN.FORMS
				loForm.RELEASE()
			ENDFOR
			CLOSE ALL
			QUIT
		ENDIF
	ENDIF
ENDIF
